<?php
/**
* テーブルモデルを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface charcoal_ITableModel extends charcoal_IModel
{

	/*
	 *   テーブル名を取得
	 */
	public function getTableName();

	/*
	 *   プライマリキーフィールド名を取得
	 */
	public function getPrimaryKeyField();

	/*
	 *   アノテーションを取得
	 */
	public function getAnnotation( $field, $type );

}
